RanglerDeveloper
API referenceEndpointsConnect
DELETE
/v1/connect/connections/{connection_id}

Authorization

RanglerApiKey
X-API-Key<token>

In: header

Path Parameters

connection_id*Connection Id
Formatuuid

Query Parameters

client_user_id?|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.rangler.co/v1/connect/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{
  "error": {
    "type": "unauthorized",
    "code": "unauthorized",
    "message": "Authentication required.",
    "request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
  }
}
{
  "error": {
    "type": "forbidden",
    "code": "forbidden",
    "message": "Paid access is required.",
    "request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
  }
}
{
  "error": {
    "type": "not_found",
    "code": "not_found",
    "message": "Company not found",
    "request_id": "9f5237bc-7d8c-4a9d-9c1f-fbd4ef236cf9"
  }
}
{
  "error": {
    "type": "validation_error",
    "code": "validation_error",
    "message": "Request validation failed",
    "request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
    "details": [
      {
        "type": "missing",
        "loc": [
          "query",
          "ticker"
        ],
        "msg": "Field required",
        "input": null
      }
    ]
  }
}
{
  "error": {
    "type": "rate_limit_exceeded",
    "code": "rate_limit_exceeded",
    "message": "Rate limit exceeded",
    "request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
  }
}
{
  "error": {
    "type": "internal_server_error",
    "code": "internal_server_error",
    "message": "Internal Server Error",
    "request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
  }
}